﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region
Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private ZoomImageView1 As ZoomImageView
	Private Button1 As Button
	Private ImageView1 As ImageView
	Private Label1 As Label
	Private Panel1 As Panel
	Private screensize As Double
	Private photodialog As B4XDialog
End Sub
Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	screensize = GetDeviceLayoutValues.ApproximateScreenSize
	photodialog.Initialize(Root)
	photodialog.PutAtTop = True
	photodialog.BackgroundColor = xui.Color_White
End Sub
Private Sub Button1_Click
	Dim bmp As B4XBitmap
	bmp = Panel1.As(B4XView).Snapshot
	show_photodialog(bmp)
End Sub
private Sub show_photodialog(bmp As B4XBitmap)
	Dim Out As OutputStream
	Out = File.OpenOutput(xui.DefaultFolder, "snap.png", False)
	bmp.WriteToStream(Out, 100, "PNG")
	Out.Close
	Dim devwidth As Int = GetDeviceLayoutValues.Width
	Dim devheight As Int = GetDeviceLayoutValues.height		' - 80dip
	Dim pnl As B4XView = xui.CreatePanel("")
	If screensize > 8 Then
		pnl.SetLayoutAnimated(0dip, 0dip, 0dip,devwidth-50dip, devheight-50dip)
	Else
		pnl.SetLayoutAnimated(0dip, 0dip, 0dip,(devwidth/2)+150dip, (devheight/2)+130dip)
	End If
	pnl.LoadLayout("photodialog_layout")
	ZoomImageView1.SetBitmap(xui.LoadBitmap(xui.DefaultFolder, "snap.png"))
	Dim rsphoto As ResumableSub =  photodialog.ShowCustom(pnl, "OK", "", "PRINT")
	Wait For (rsphoto) Complete (Result As Int)
	If Result = xui.dialogResponse_Positive Then
		' close dialog
	End If
	If Result = xui.dialogResponse_Cancel Then
		' run the printing subroutine
		xui.MsgboxAsync("do some printing...","Print")
	End If
End Sub
